# Page Not Found

The URL `~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces/-MbfjjBC6Yrs4tXsoRrF/uploads/3ghVQISfARZlsF1BO7kW/metricOpt.gif` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Metric](https://docs.uibakery.io/reference/working-with-components/metric.md)
- [Azure blob storage configuration](https://docs.uibakery.io/on-premise/additional-configurations/azure-blob-storage-configuration.md)
- [Save to Local Storage](https://docs.uibakery.io/reference/working-with-actions/save-to-local-storage-action.md)
- [Stripe](https://docs.uibakery.io/reference/data-sources/stripe.md)
- [Resource optimization](https://docs.uibakery.io/on-premise/install-and-update/recommendations/resource-optimization.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.uibakery.io/reference/working-with-components/metric.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.uibakery.io/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.uibakery.io/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/reference/working-with-components/metric.md`).

You may also use `Accept: text/markdown` header for content negotiation.
